#!/bin/sh
## this is a bash script
## perhaps it works with other shells too but no warranty

## Written by Michael Bell for the OpenCA project 2004
## (c) Copyright 2004 The OpenCA Project. All rights reserved.

set -e

prefix=/usr/share/openca
exec_prefix=/usr
cf_mod=`stat -c %Y /etc/openca/config.xml`

for DIRECTORY in /etc/openca /usr/share/openca /var/www/html/openca/ca /var/www/html/openca/ra /var/www/html/openca/node /var/www/html/openca/ldap /var/www/html/openca/pub /var/www/html/openca/batch
do
    if test -d $DIRECTORY; then
        echo =================================================================
        echo fixing directory: $DIRECTORY
        echo =================================================================

        cd $DIRECTORY
        TEMPLATES=`find . -name "*.template" -print`
        for H in $TEMPLATES
        do
            echo -------------begin file-----------------
            echo template: $H
            H_RESULT=`echo $H | sed 's/\.template//'`
            echo target:   $H_RESULT
	    if ! [ -f "$H_RESULT" ] ; then 
		temp_mod=0
	    else
	    	temp_mod=`stat -c %Y $H_RESULT`
	    fi
            if [ "$cf_mod" -gt "$temp_mod" ] ; then
                echo status:   To be updated
            	/usr/bin/openca-configure /etc/openca/config.xml $H $H_RESULT
            else
                echo status:   Updated
            fi
            echo --------------end file------------------
        done
    fi
done

# By this moment configure_etc.sh has successfully inserted the value of
# option cert_chars from config.xml into utf8_latin1_selector.sh 
# and we can call the latter from here, performing an effective reqursion:

/bin/sh /etc/openca/utf8_latin1_selector.sh

